// ///////////////////////////////////////////////////////////////////
#ifndef _DTMF_H_
#define _DTMF_H_
// ///////////////////////////////////////////////////////////////////
#include  "PSoCAPI.h"     // PSoC API definitions for all User Modules
#include  "PSoCGPIOINT.h"
#include  "Global.h"   
#include  "DTM.h"
// ///////////////////////////////////////////////////////////////////
extern volatile byte DTMF_data;
// ///////////////////////////////////////////////////////////////////
extern byte DTMF_Code[16]; /*=
{	'd', '1', '2', '3',
 	'4', '5', '6', '7',
 	'8', '9', '0', '*',
 	'#', 'a', 'b', 'c'
};	*/
// ///////////////////////////////////////////////////////////////////
void DTMFEnable(void);
void DTMFDisable(void);
byte DTMF_Receive( byte rec[], byte siz );
void DTMF_Restart(void);
// ///////////////////////////////////////////////////////////////////
void EnterDTMF(void);
void ExitDTMF(void);
void EnterUART(void);
void ExitUART(void);
// ///////////////////////////////////////////////////////////////////
#endif
// ///////////////////////////////////////////////////////////////////
