// ///////////////////////////////////////////////////////////////////
#ifndef _URT_H_
#define _URT_H_
// ///////////////////////////////////////////////////////////////////
#include  "PSoCAPI.h"     // PSoC API definitions for all User Modules
#include  "PSoCGPIOINT.h"
#include <m8c.h>          // part specific constants and macros
#include <Global.h>
#include <string.h>
#include <stdlib.h>
// ///////////////////////////////////////////////////////////////////
#define UART_BUF_SIZE 32
extern volatile byte RxFlag, RxLen;
extern volatile byte RxBuf[UART_BUF_SIZE];
extern volatile byte RxRec[UART_BUF_SIZE];
// ///////////////////////////////////////////////////////////////////
void UART_Init(void);
void UART_Stop(void);
byte UART_Send( byte str[] );
byte UART_CSend( const char str[] );
byte UART_Receive( byte rec[], byte siz );
// ///////////////////////////////////////////////////////////////////
#endif
// ///////////////////////////////////////////////////////////////////
